Subject: Re: linux-next: build failure after merge of the akpm tree

From: Greg KH <[email-masked]>
Date: Thu, 5 Jan 2012 21:04:28 -0800

On Thu, Jan 05, 2012 at 03:45:15PM -0800, Andrew Morton wrote:
> On Thu, 5 Jan 2012 15:19:58 -0800
> Greg KH <[email-masked]> wrote:
> 
> > On Thu, Jan 05, 2012 at 06:29:37PM +1100, Stephen Rothwell wrote:
> > > Hi Andrew,
> > > 
> > > After merging the akpm tree, today's linux-next build (powerpc
> > > ppc64_defconfig) failed like this:
> > > 
> > > drivers/base/memory.c: In function 'memory_block_change_state':
> > > drivers/base/memory.c:306:22: error: 'struct memory_block' has no member named 'sysdev'
> > > drivers/base/memory.c:309:22: error: 'struct memory_block' has no member named 'sysdev'
> > > 
> > > Caused by commit 2691cc121386 ("kdump: add udev events for memory
> > > online/offline") interacting with commit 10fbcf4c6cb1 ("convert 'memory'
> > > sysdev_class to a regular subsystem") from the driver-core tree.
> > 
> > I can't recall this kdump patch coming through before, have I seen it?
> 
> I carefully added you to the Nov 22 commit email cc list :(
> 
> > creating new uevents is not something to be done lightly, has this been
> > tested with the existing userspace tools to make sure it doesn't cause
> > problems?
> 
> Seems to be covered in the changelog:

Ah, thanks, sorry, I had forgotten about that one.  It looks good,
nevermind...

greg k-h